%define name perl-Digest-MD2
%define real_name Digest-MD2
%define version 2.00
%define release 2mdk

Summary:	Perl interface to the MD2 Algorithm	
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Distribution:	Mandrake Linux
Source:		http://www.cpan.org/authors/id/GAAS/%{real_name}-%{version}.tar.bz2
Prefix:		%{_prefix}
BuildRoot:	%{_tmppath}/%{name}-buildroot
Provides:	perl-MD2
Requires:	perl >= 5.600

%description
Digest-MD2 module for perl.

%prep
%setup -q -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL PREFIX=%{prefix}
make OPTIMIZE="$RPM_OPT_FLAGS" PREFIX=%{prefix}
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall PREFIX=$RPM_BUILD_ROOT%{prefix}

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README Changes
%{_libdir}/perl5/man/man3
%{perl_sitearch}/auto/Digest/MD2
%{perl_sitearch}/Digest


%changelog
* Sun Jun 24 2001 Christian Belisle <cbelisle@mandrakesoft.com> 2.00-2mdk
- Clean the file list.

* Fri Jun 22 2001 Christian Belisle <cbelisle@mandrakesoft.com> 2.00-1mdk
- First release, was in perl-Digest-MD5 package before.
